# -*- encoding: utf-8 -*-
# stub: flooph 0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "flooph".freeze
  s.version = "0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Gavin Kistner".freeze]
  s.date = "2018-04-21"
  s.description = "\n    Flooph is a Ruby library designed to let you take code from (possibly-malicious) users and evaluate it safely.\n    Instead of evaluating arbitrary Ruby code (or JavaScript, or any other interpreter), it specifies a custom 'language', with its own parser and evaluation.\n\n    Flooph provides four core pieces of functionality:\n\n    * A simple syntax for specifying key/value pairs (much like a Ruby Hash literal).\n    * A simple template language that supports conditional content and injecting content.\n    * Standalone functionality for evaluating conditional expressions based on the key/values (also used in the templates).\n    * Standalone functionality for evaluating value expressions based on the key/values (also used in the templates).\n  ".freeze
  s.email = ["gavin@phrogz.net".freeze]
  s.homepage = "https://github.com/Phrogz/Flooph".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A template markup and evaluator designed to be simple and safe from malicious input.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<parslet>.freeze, ["~> 1.8"])
  else
    s.add_dependency(%q<parslet>.freeze, ["~> 1.8"])
  end
end
